<?php
/**
 * This is an example of how to create a custom interface for Greyd Forms.
 */
return array(
	"name"     => "My Custom Interface",

	// register settings
	'settings' => array(
		'description' => __( "Connect your forms to your custom API." ),

		// Add your custom options to show up via 'Forms > Settings'.
		// Leave this empty if you don't need any.
		'options'     => array(
			// Register a new option for the API key.
			// You also need to add a render callback to show the input field:
			// @action render_setting_{{interface}}_{{option}}
			// See the example in the 'init.php' file.
			'apikey' => __( "API key:" )
		),
	),

	// the interface is autoloaded and does not need to be enabled in the settings
	// that way the interface directly shows up in the form metabox.
	'autoload' => true,

	// setup the form metabox
	'metabox'  => array(

		// add a checkbox to enable the interface
		'enable' => array(
			'title'       => __( "Send to your custom API?" ),
			'description' => __( "Automatically send form entries to your API." ),
		),

		// use 'meta' to add some meta options
		'meta'   => array(
			'fields' => array(
				'description'  => array(
					'type'  => 'textarea',
					'label' => __( "Description" )
				),
			),
		),

		// use 'normal' to add some default fields that can be assigned based on the form fields
		'normal' => array(
			'fields' => array(
				'email'      => __( "Email" ),
				'first_name' => __( "First name" ),
				'last_name'  => __( "Last name" ),
				'salutation' => __( "Salutation" ),
				'company'    => __( "Company" ),
				'phone'      => __( "Phone number" ),
				'street'     => __( "Street" ),
				'zip'        => __( "Zip code" ),
				'city'       => __( "City" ),
				'country'    => __( "Country" ),
			),
		),

		// use 'custom' to add custom fields that can be assigned based on the form fields
		'custom' => array(
			'fields'      => true,
			'title'       => __( "Set fields" ),
			'description' => __( "Here you can set which fields are sent to the API with which name." ),
			'api_fields'  => __( "Field name" ),
		)
	),
);
